[FFmpeg-devel] [PATCH] faad2 version 2.5 support

Dominik 'Rathann' Mierzejewski dominik
Sat Oct 6 14:38:31 CEST 2007

On Saturday, 06 October 2007 at 02:01, Ivan Kalvachev wrote:
> 2007/10/6, Frank Liu <gfrankliu at gmail.com>:
> [...]
> >
> > If I apply my patch and rebuild ffmpeg, same command runs without any errors.
> >
> > Thoughts?

Your FAAD2 has been patched not to include backward compatibility APIs.

> I think your patch would break building of the older FAAD (FAAC?) versions.


> Some people still prefer the old version because license changes by
> Nero rendered the library GPL incompatible.

AFAIK they're not as GPL incompatible as we thought, as long as we don't use
FAAD code in something else than AAC decoder. See this bugzilla report for
more information: http://bugzilla.livna.org/show_bug.cgi?id=1482


MPlayer developer and RPMs maintainer: http://mplayerhq.hu http://rpm.livna.org
There should be a science of discontent. People need hard times and
oppression to develop psychic muscles.
	-- from "Collected Sayings of Muad'Dib" by the Princess Irulan

More information about the ffmpeg-devel mailing list